RPMSPEC(1)

NAMN
rpmspec — RPM-spec-verktyg

SYNOPSIS
rpmspec {-q|--query} [flaggor] [frågeflaggor] SPECFIL …

rpmspec {-P|--parse} [flaggor] SPECFIL …

rpmspec --shell [flaggor] [SPECFIL …

BESKRIVNING
rpmspec är ett verktyg för att fråga en spec-fil. Mer specifikt för att fråga om hypotetiska paket vilka skulle kunna skapas från den angivna spec-filen. Så att fråga en spec-fil med rpmspec liknar att fråga ett paket som är byggt från den spec-filen. Men det är inte identiskt. Med rpmspec kan man inte fråga om alla fält vilka man kan fråga om från ett byggt paket. T.ex. kan man inte fråga om BUILDTIME med rpmspec av uppenbara skäl. Man kan inte heller fråga om andra fält som genereras automatiskt under ett bygge av ett paket såsom automatgenererade beroenden.

ÅTGÄRDER
-q, --query
    Fråga ett tolkat spec-huvud, liknande att fråga paket.

-P, --parse
    Skriv ut en tolkad spec-fil till standard ut. Det vill säga, villkor hanteras, makron tolkas och så vidare.

--shell
    Starta ett interaktivt skal för att inspektera makron, eventuellt efter att tolka en spec. Huvudsakligen användbart för felsökning.

ARGUMENT
SPECFIL
    RPM-specfil använd för att bygga paket med rpmbuild.

FLAGGOR
Se rpm-common(8) för flaggorna gemensamma för alla åtgärder.

FRÅGEFLAGGOR
--qf FRÅGEFMT, --queryformat FRÅGEFMT
    Ange ett utdataformat för spec-frågor. Se rpm-queryformat(7) för detaljer.

--rpms
    Arbeta på alla binärpakethuvuden som genereras från en spec.

--builtrpms
    Arbeta endast på binärpakethuvudena till paket vilka skulle byggas från spec:en. Detta betyder att ignorera pakethuvuden till paket som inte skulle byggas från spec:en d.v.s. ignorera pakethuvuden till paket utan en filsektion.

--srpm
    Arbeta på källpakethuvuden genererade från spec:en.

MILJÖ
Se rpm-common(8).

SLUTSTATUS
Om det gick bra returneras 0, annars en nollskild felkod.

EXEMPEL
rpmspec -q rpm.spec
    Hämta en lista med binärpaket vilka skulle genereras från rpm-spec-filen, t.ex.:
        rpm-4.11.3-3.fc20.x86_64
        rpm-libs-4.11.3-3.fc20.x86_64
        rpm-build-libs-4.11.3-3.fc20.x86_64
        ...

rpmspec -q --qf "%{name}: %{summary}n" rpm.spec
    Hämta sammanfattningsinformation för enskilda binärpaket som genereras från rpm-spec-filen t.ex.:
        rpm: The RPM package management system
        rpm-libs: Libraries for manipulating RPM packages
        rpm-build-libs: Libraries for building and signing RPM packages
        ...

rpmspec -q --srpm rpm.spec
    Hämta källpaketen vilka skulle genereras från rpm-spec-filen, t.ex.:
        rpm-4.11.3-3.fc20.x86_64

rpmspec -P rpm.spec
    Tolka rpm-spec-filen till standard ut, t.ex.:
        Summary: The RPM package management system
        Name: rpm
        Version: 4.14.0
        ...

rpmspec --shell
    Kör ett interaktivt makroskal för felsökning av makron, t.ex.:
         $ rpmspec --shell
         > %define apa bepa
         > %apa
         bepa
         > %(date)
         tis 13 apr 14:55:37 CEST
         > %getncpus
         8

rpmspec --shell popt.spec
    Kör ett interaktivt makroskal i en spec-kontext, t.ex.:
        %name
        popt
        %version
        1.18

SE ÄVEN
popt(3), rpm(8), rpmbuild(1), rpm-queryformat(7), rpm-macros(7)

rpmspec --help — eftersom rpm stödjer anpassning av flaggor via popt-alias är det omöjligt att garantera att vad som beskrivs i manualen stämmer med vad som finns tillgängligt.

http://www.rpm.org/

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.